=== debian/changelog ===
pkcs11-proxy (0.4.1-4) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113408)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 05 Sep 2025 16:02:03 +0200

pkcs11-proxy (0.4.1-3) unstable; urgency=medium

  * add service file (Closes: #1104522)
    Thanks a lot to Didier Raboud for the suggestion.
  * if not present, create psk file in /var/lib/pkcs11-daemon
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 May 2025 19:02:03 +0200

pkcs11-proxy (0.4.1-2) unstable; urgency=medium

  * fix gcc14 issues (Closes: #1075389)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Aug 2024 22:02:03 +0200

pkcs11-proxy (0.4.1-1) unstable; urgency=medium

  * to keep history, old changelog moved to changelog.ubuntu
  * take care of lintian issues

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 16 Apr 2024 22:02:03 +0200
