=== debian/control ===
Source: pkcs11-proxy
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libssl-dev (>= 1.0.0)
	, libseccomp-dev (>= 1.0.0)
Standards-Version: 4.7.2
Section: net
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/alteholz/pkcs11-proxy
Vcs-Git: https://salsa.debian.org/alteholz/pkcs11-proxy.git

Package: libpkcs11-proxy0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: proxy for the PKCS11-library (client)
 This project is based on a stripped down GNOME Keyring without all GNOME
 dependencies and other features.
 .
 The proxy tunnels PKCS11-requests over the network.  One possible use
 is to store cryptograhic information on a separate server.  This way
 the crypto can be isolated from the rest of the system.
 .
 This package contains the stuff that is needed on the client side.

Package: pkcs11-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: proxy for the PKCS11-library (server)
 This project is based on a stripped down GNOME Keyring without all GNOME
 dependencies and other features.
 .
 The proxy tunnels PKCS11-requests over the network.  One possible use
 is to store cryptograhic information on a separate server.  This way
 the crypto can be isolated from the rest of the system.
 .
 This package contains the stuff that is needed on the server side.
